From: Colin Watson <cjwatson@debian.org>
Date: Sun, 12 Jan 2025 16:02:35 +0000
Subject: Fix syntax warning in Python 3.12

Although this is written as a raw string, it's within a non-raw
docstring, necessitating an extra layer of backslash-escaping.

Contributed by Peter Chubb <peter.chubb@unsw.edu.au> in
https://bugs.debian.org/1078728.

Author: Peter Chubb <peter.chubb@unsw.edu.au>
Forwarded: https://github.com/sdgathman/pyspf/pull/43
Bug-Debian: https://bugs.debian.org/1078728
Last-Update: 2025-01-12
---
 spf.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/spf.py b/spf.py
index 18cebf2..0836835 100755
--- a/spf.py
+++ b/spf.py
@@ -1737,7 +1737,7 @@ def quote_value(s):
     >>> quote_value('abc"def')
     '"abc\\\\"def"'
 
-    >>> quote_value(r'abc\def')
+    >>> quote_value(r'abc\\def')
     '"abc\\\\\\\\def"'
 
     >>> quote_value('abc..def')
